Bug 1530952 - [QEDevCollab] Queue Chargeback Report via REST API
Summary: [QEDevCollab] Queue Chargeback Report via REST API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Gregg Tanzillo
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-04 10:05 UTC by Pete Savage
Modified: 2019-02-07 23:00 UTC (History)
4 users (show)

Fixed In Version: 5.10.0.19
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:53 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:00:59 UTC

Description Pete Savage 2018-01-04 10:05:25 UTC
We currently need to run this snippet via SSH, can we have this function added to the REST API please

run_rails_command('Service.queue_chargeback_reports')

Comment 3 CFME Bot 2018-03-12 20:13:38 UTC
New commit detected on ManageIQ/manageiq-api/master:

https://github.com/ManageIQ/manageiq-api/commit/4d4f92a0858e00d7e9f0cc150e769ff77bd4b69e
commit 4d4f92a0858e00d7e9f0cc150e769ff77bd4b69e
Author:     Jillian Tullo <jtullo@redhat.com>
AuthorDate: Thu Jan 25 14:14:27 2018 -0500
Commit:     Jillian Tullo <jtullo@redhat.com>
CommitDate: Thu Jan 25 14:14:27 2018 -0500

    Allow queueing of chargeback reports for individual services or all services

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1530952

 app/controllers/api/services_controller.rb | 8 +
 config/api.yml | 4 +
 spec/requests/services_spec.rb | 44 +-
 3 files changed, 54 insertions(+), 2 deletions(-)

Comment 10 Gregg Tanzillo 2018-09-26 19:55:28 UTC
https://github.com/ManageIQ/manageiq-api/pull/480

Comment 11 CFME Bot 2018-09-26 19:58:36 UTC
New commit detected on ManageIQ/manageiq-api/master:

https://github.com/ManageIQ/manageiq-api/commit/8d6a86257656d7cf7c0e3c669cf768927f1faa52
commit 8d6a86257656d7cf7c0e3c669cf768927f1faa52
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Tue Sep 25 17:39:41 2018 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Tue Sep 25 17:39:41 2018 -0400

    Pass `User#userid` instead of `User#id` to queue chargeback report

    The method expects the user's login and not the integer id
    https://bugzilla.redhat.com/show_bug.cgi?id=1530952

 app/controllers/api/services_controller.rb | 2 +-
 spec/requests/services_spec.rb | 11 +
 2 files changed, 12 insertions(+), 1 deletion(-)

Comment 12 CFME Bot 2018-10-01 17:01:10 UTC
New commit detected on ManageIQ/manageiq-api/hammer:

https://github.com/ManageIQ/manageiq-api/commit/2098e69f26485286511f5ae80283a8fe04bf3d88
commit 2098e69f26485286511f5ae80283a8fe04bf3d88
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Wed Sep 26 15:56:49 2018 -0400
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Wed Sep 26 15:56:49 2018 -0400

    Merge pull request #480 from gtanzillo/fix-queue_chargeback_report_resource

    Pass `User#userid` instead of `User#id` to queue chargeback report

    (cherry picked from commit 5722fb80066666f6802dff95fe46d4b32c0c0357)

    https://bugzilla.redhat.com/show_bug.cgi?id=1530952

 app/controllers/api/services_controller.rb | 2 +-
 spec/requests/services_spec.rb | 11 +
 2 files changed, 12 insertions(+), 1 deletion(-)

Comment 17 Nandini Chandra 2018-11-09 16:41:39 UTC
Marking this as VERIFIED.

Verified in 5.10.0.23

I'll report a BZ to address the task issue.

Comment 18 errata-xmlrpc 2019-02-07 23:00:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.